Subject: Re: [PATCH] Check if user has CAP_NET_ADMIN to change congestion control algorithm

From: Stephen Hemminger <[email-masked]>
Date: Thu, 26 Oct 2006 18:03:29 -0700

On Fri, 27 Oct 2006 01:52:56 +0200
Hagen Paul Pfeifer <[email-masked]> wrote:

> 
> Check if user has CAP_NET_ADMIN capability to change congestion control
> algorithm.
> 
> Under normal circumstances a application programmer doesn't have enough
> information to choose the "right" algorithm (expect he is the pchar/pathchar
> maintainer). At 99.9% only the local host administrator has the knowledge to
> select a proper standard, system-wide algorithm (the remaining 0.1% are
> for testing purpose). If we let the user select an alternative algorithm we
> introduce one potential weak spot - so we ban this eventuality.
> 
> HGN

If you aren't doing experiments don't compile it in your kernel.
If distro's are including "unfair" congestion control file a bug report.